package yu_proto

type Protobuf struct {
	list *node

	tmp_buf []byte
}

type node struct {
	_next *node

	id    uint64
	value any
}

func New() (t *Protobuf) {
	t = &Protobuf{}
	t.Reset()
	return
}

func (t *Protobuf) Reset() *Protobuf {
	t.list = &node{}
	return t
}
